API Reference

Update a direct debit

PUT/direct_debits/{id}

Body Parameters

descriptionstring(optional)

Max 18 characters, allowed chars are A-Z, 0-9, period, hyphen, ampersand, and underscore.

amountnumber (float)(optional)

Amount. Minimum 0.01, positive only.

bsbstring(optional)

The source account's BSB number. Format: ###-###

account_namestring(optional)

The source account name. Max 32 characters.

account_numberstring(optional)

The source account number. Max 9 digits.

Query Parameters

idstring

ID of the direct debit

Request

curl
curl https://gateway.pmnts-sandbox.io/v1.0/direct_debits/071-DD-L4M3SN0E -X PUT -u TEST:TEST -d'
  {
  "account_name":"Test"
  }'

Response

200Result
json
{
  "successful": true,
  "response": {
  "id": "071-DD-L4M3SN0E",
  "amount": 42.0,
  "bsb": "123-123",
  "account_number": "012345678",
  "account_name": "Test 2",
  "description": "Confirmation",
  "reference": "071-DD-L4M3SN0E",
  "date": "2018-09-14",
  "process_date": null,
  "status": "New",
  "result": null,
  "metadata": null
  },
  "errors": [],
  "test": true
}
422Result
json
{
  "successful": false,
  "response": {},
  "errors": [
  "Could not find bank account unknown"
  ]
}